Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
<NonPersistent()> _
<Appearance("CustomertQualificationPopUp - Disable FromCustomers and FromOperations", AppearanceItemType.ViewItem, "1=1", TargetItems:="FromOperations;FromOperations", visibility:=Editors.ViewItemVisibility.Hide)> _
<Appearance("CustomertQualificationPopUp - Disable Customers when FromCustomers=True", AppearanceItemType.ViewItem, "FromCustomers=True", TargetItems:="Customers", visibility:=Editors.ViewItemVisibility.Hide)> _
<Appearance("CustomertQualificationPopUp - Disable Operations when FromOperations=True", AppearanceItemType.ViewItem, "FromOperations=True", TargetItems:="Operations", visibility:=Editors.ViewItemVisibility.Hide)> _
Public Class CustomersQualificationPopUp
    Inherits BaseObject

    Dim _FromCustomers As Boolean
    Dim _FromOperations As Boolean
    Dim _Customers As Customers
    Dim _Operations As Operations
    Dim _Change_Price As Boolean
    Dim _Price As Long
    Dim _Change_Speed As Boolean
    Dim _Speed As Long
    Dim _Change_Quality As Boolean
    Dim _Quality As Long
    Dim _Change_Other1 As Boolean
    Dim _Other1 As Long
    Dim _Change_Other2 As Boolean
    Dim _Other2 As Long
    Dim _Change_Other3 As Boolean
    Dim _Other3 As Long

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        Change_Price = False
        Change_Speed = False
        Change_Quality = False
        Change_Other1 = False
        Change_Other2 = False
        Change_Other3 = False
        FromCustomers = False
        FromOperations = False
    End Sub

    <ImmediatePostData()> _
    <VisibleInDetailView(False)> _
    <VisibleInListView(False)> _
    Property FromCustomers As Boolean
        Get
            Return _FromCustomers
        End Get
        Set(value As Boolean)
            SetPropertyValue("FromCustomers", _FromCustomers, value)
        End Set
    End Property
    <ImmediatePostData()> _
    <VisibleInDetailView(False)> _
    <VisibleInListView(False)> _
    Property FromOperations As Boolean
        Get
            Return _FromOperations
        End Get
        Set(value As Boolean)
            SetPropertyValue("FromOperations", _FromOperations, value)
        End Set
    End Property
    Property Customers As Customers
        Get
            Return _Customers
        End Get
        Set(value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
    Property Operations As Operations
        Get
            Return _Operations
        End Get
        Set(value As Operations)
            SetPropertyValue("Operations", _Operations, value)
        End Set
    End Property
    Property Change_Price As Boolean
        Get
            Return _Change_Price
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_Price", _Change_Price, value)
        End Set
    End Property
    Property Price As Long
        Get
            Return _Price
        End Get
        Set(value As Long)
            SetPropertyValue("Price", _Price, value)
        End Set
    End Property
    Property Change_Speed As Boolean
        Get
            Return _Change_Speed
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_Speed", _Change_Speed, value)
        End Set
    End Property
    Property Speed As Long
        Get
            Return _Speed
        End Get
        Set(value As Long)
            SetPropertyValue("Speed", _Speed, value)
        End Set
    End Property
    Property Change_Quality As Boolean
        Get
            Return _Change_Quality
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_Quality", _Change_Quality, value)
        End Set
    End Property
    Property Quality As Long
        Get
            Return _Quality
        End Get
        Set(value As Long)
            SetPropertyValue("Quality", _Quality, value)
        End Set
    End Property
    Property Change_Other1 As Boolean
        Get
            Return _Change_Other1
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_Other1", _Change_Other1, value)
        End Set
    End Property
    Property Other1 As Long
        Get
            Return _Other1
        End Get
        Set(value As Long)
            SetPropertyValue("Other1", _Other1, value)
        End Set
    End Property
    Property Change_Other2 As Boolean
        Get
            Return _Change_Other2
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_Other2", _Change_Other2, value)
        End Set
    End Property
    Property Other2 As Long
        Get
            Return _Other2
        End Get
        Set(value As Long)
            SetPropertyValue("Other2", _Other2, value)
        End Set
    End Property
    Property Change_Other3 As Boolean
        Get
            Return _Change_Other3
        End Get
        Set(value As Boolean)
            SetPropertyValue("Change_Other3", _Change_Other3, value)
        End Set
    End Property
    Property Other3 As Long
        Get
            Return _Other3
        End Get
        Set(value As Long)
            SetPropertyValue("Other3", _Other3, value)
        End Set
    End Property
End Class
